{% extends 'base.html' %}

{% block title %}
    Detail -
    {{ list_detail.name }}
{% endblock title %}

{% block content %}
<div>
    <h1>{{ list_detail.name }}</h1>
    <!-- add link  -->
    <p>
        <!-- href points to create todo list URL -->
        <!-- a tag content is "Edit" -->
        <a href="{% url 'todo_list_update' list_detail.id %}">Edit</a>
    </p>
    <p>
        <a href="{% url 'todo_list_delete' list_detail.id %}">Delete</a>
    </p>
    <h2>Tasks</h2>
    <table>
        <thead>
            <tr>
                <th>Task</th>
                <th>Due date</th>
            </tr>
        </thead>
        <tbody>
            <!-- access all TodoItem instances of TodoList model instances -->
            <!-- by using the "items" ForeignKey in TodoList model -->
            {% for item in list_detail.items.all %}
            <tr>
                <!-- print TodoItem fields -->
                <!-- % url % tag uses view name and id attribute of current model instance to generate URL that links to detail.html of current TodoList instance -->
                <td>
                    <!-- href points to todo_item_update  -->
                    <!-- passing item.id  -->
                    <a href="{% url 'todo_item_update' item.id %}">{{ item.task }}</a>
                </td>
                <td>{{ item.due_date }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock content %}
